# laundry_status

This script generates a website that tracks the washing machine and dryer use of my apartment building. The washing machine and dryer are plugged into smartplugs (Sonoff S31s) that are running ESPHome. A homeassistant instance gets that data every 1 minute and sends it to an InfluxDB database. `laundry_status.R` reads that database with an api key, restructures the data, and generates a website using `laundry_status.Rmd`. It also generates a long-term data visualization using `laundry_longterm_data.Rmd`.

Both the status page and long-term data have Spanish translations.

You can see the website here: [laundry.dendroalsia.net](https://laundry.dendroalsia.net)

## required libraries:
- `tidyverse`
- `influxdbclient`
- `rmarkdown`
